import com.cohort.Drawing;
import com.cohort.Color2;
public class HelloWorld {

  public static void main(String args[]) {
    System.err.println("Creating HelloWorld.jpg...");
    Drawing drawing=new Drawing("YourName", "RegistrationNumber");

    //CoPlot.drawVersion(6.100); 
    drawing.setXBounds(0, 1.2);
    drawing.setYBounds(0, 0.4);

    drawing.setTextColor(Color2.red4);
    drawing.setTextFont(0);
    drawing.setTextHeight(0.1);
    drawing.setShapeAngle(0);
    drawing.setCharacters("Hello, World!");
    drawing.create("text", "0.6, 0.2");

    //save the drawing as a .jpg file
    String error=drawing.fileSaveAs(10, "HelloWorld.jpg"); //10=.jpgHighQuality
    if (error.length()>0) System.err.println(error);

    //Save the drawing as a java.awt.image.
    error=drawing.fileSaveAsImage();
    if (error.length()>0) System.err.println(error);
    //Get the Image you just made.
    java.awt.Image image=drawing.getCurrentImage();
    //If this were a graphical program, you could display the image:
    //if (image!=null) panel.getGraphics().drawImage(image, 0, 0, null);

    //If you were going to create a new drawing, you would reset the drawing:
    drawing.reset();             

    //You could then start over here, with a description of another drawing.
    //drawing.setXBounds(0, 8);
    //...

    System.err.println("Done.");
    System.exit(0);
  }
}

